New: 13 caption styles
Jellypod Docs

Reserve a file Source and receive a scoped upload URL

POST
/v1/sources/uploads

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from /developers/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.jellypod.com/v1/sources/uploads" \  -H "Content-Type: application/json" \  -d '{    "file_name": "string",    "mime_type": "string",    "size_bytes": 1  }'
{
  "data": {
    "complete_path": "string",
    "source": {
      "created_at": "string",
      "error_message": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "metadata": null,
      "status": "string",
      "title": "string",
      "type": "string",
      "updated_at": "string"
    },
    "upload": {
      "expires_at": "2019-08-24T14:15:22Z",
      "headers": {
        "content-type": "string"
      },
      "method": "PUT",
      "url": "http://example.com"
    }
  }
}

Was this page helpful?